Class | Stella::Report
In: | lib/stella/report.rb
Parent: | Storable

### Methods

load new plugin? postprocess process processed?

### Included Modules

Gibbler::Complex

### Classes and Modules

Module Stella::Report::Plugin
Class Stella::Report::Content
Class Stella::Report::Errors
Class Stella::Report::Headers
Class Stella::Report::Metrics
Class Stella::Report::Statuses

### Constants

CRLF | = | "\r\n" unless defined?(Report::CRLF)

### Attributes

filter | [R] |
plugin_order | [R] |
plugins | [R] |
timeline | [R] |

### Public Class methods

load(name)
new(timeline=nil, runid=nil)
plugin?(name)

### Public Instance methods

postprocess()
process()
processed?()

[Validate]